//加载数据表格
$('#mytab').bootstrapTable({
    height: 7000,
    toolbar: '#toolbar',                //工具按钮用哪个容器
    striped: true,                      //是否显示行间隔色
    cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
    pagination: true,                   //是否显示分页（*）
    sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
    paginationPreText: '上一页',
    paginationNextText: '下一页',
    pageNumber: 1,                       //初始化加载第一页，默认第一页
    pageSize: 10,                       //每页的记录行数（*）
    pageList: [10, 15, 20, 30, 50],//可供选择的每页的行数（*）
    height: 320,                        //行高，如果没有设置height属性，表格自动根据记录条数觉得表格高度
    columns: [
        {
            title: '全选',
            field: 'select',
            checkbox: true,
            width: 25,
            align: 'center',
            valign: 'middle'
        },
        {
            field: 'no',
            title: '序号',
            sortable: true,
            formatter: function (value, row, index) {
                //获取每页显示的数量
                var pageSize = $('#mytab').bootstrapTable('getOptions').pageSize;
                //获取当前是第几页
                var pageNumber = $('#mytab').bootstrapTable('getOptions').pageNumber;
                //返回序号，注意index是从0开始的，所以要加上1
                return pageSize * (pageNumber - 1) + index + 1;
            }
        },
        {
            title: '病案号',
            field: 'inpatientNo',
        },
        {
            title: '姓名',
            field: 'name',
        },

        {
            title: '住院次数',
            field: 'admissTimes',
        },
        {
            title: '出院日期',
            field: 'disDate',
            formatter: function (value) {
                if (value != '' && value.length == 21) {
                    return value.substring(0, value.length - 2);
                }
            }
        },
        {
            title: '出院科室',
            field: 'disDept',
        },
        {
            title: '扫描状态',
            formatter: function () {
                return '已扫描'
            }
        },
        {
            title: '操作',
            formatter: function (value, row) {
                    return '<a type="button" href="' + path + '/font/showRecordFontSouth?patientId=' + row.patientId + '" class="btn btn-danger TableView btn-sm" target="_blank">查看详情</a>';
            }
        }
    ],
    locale: 'zh-CN',//中文支持,
    url: path + '/font/getRecordListByInpatientNoSouth',//排序方式
    queryParams: function (params) {
        return {
            limit: params.limit, // 每页显示数量
            offset: params.offset, // SQL语句起始索引
            page: (params.offset / params.limit) + 1, //当前页码,
            inpatientNo: $("#inpatientNo").val(),
        }
    },
    responseHandler: function (res) {
        //在ajax获取到数据，渲染表格之前，修改数据源
        var nres = [];
        nres.push({total: res.total, rows: res.list});
        return nres[0];
    },
    onLoadSuccess: function () {
        $(".page-list").show();
        $(".fixed-table-body").css("overflow", "auto");
    },
    //双击事件
    onDblClickRow: function (row) {
        var isShowDetail = row.isShowDetail;
        if (isShowDetail == 2) {
            window.open(returnShowDetailUrl(row.patientId));
        }
    },
})

/**
 * 单个申请借阅
 * @param patientId
 */
function borrowingFont(patientId){
    pickTime("effeTime", null);
    $("#typeId").val('approves');
    $("#check").val("'"+patientId+"'");
    $("#approveId").val("");
    setFormToken();
}

function addApprove() {
    if($("#effeTime").val() != ''){
        var patientIds = $("#check").val();
        if(patientIds != '' && patientIds != undefined) {
            var id = $("#approveId").val();
            var effeTime = $("#effeTime").val();
            var effeDays = $("#effeDays").val();
            var applyType = 4;
            var applyState = 2;
            var applyReason = $("#applyReason").val();
            $.ajax({
                type:'post',
                url:path+'/font/addApplyApprove',
                data:{id:id,applyState:applyState,effeTime:effeTime,effeDays:effeDays,applyType:applyType,applyReason:applyReason,patientIds:patientIds,formToken:$("#formToken").val()},
                dataType:'json',
                success:function(data){
                    if(data!=null && data.code == 0){
                        toastr.success("申请成功，目前审核中，请耐心等待!");
                        $('#myModal1').modal('hide');
                        reLoadFontTable();
                    }else{
                        toastr.error(data.msg);
                    }
                }
            })
        }
    } else {
        toastr.warning("有效时间不能为空!");
        $("#effeTime").focus();
    }
}

function reLoadFontTable(){
    $("#mytab").bootstrapTable('refresh',path+'/font/getRecordListByInpatientNoSouth');
    $('#mytab').bootstrapTable('selectPage', pageNumber);
    $("#check").val("");
}

//定义查看详情的请求地址url
function returnShowDetailUrl(patientId) {
    return path + '/font/showRecordFontSouth?patientId=' + patientId;
}

//病案預覽
//查看详情
function showDetail(patientId) {
    //隐藏模板选项
    window.location.href = returnShowDetailUrl(patientId);
}
